%define name rootactions_servicemenu
%define oname Root_Actions
%define version 2.4.1
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Graphical desktop/KDE
Summary:	A feature rich root actions servicemenu for konqueror and dolphin
Url:		http://www.kde-look.org/content/show.php/Root+Actions+Servicemenu?content=48411
Source:		48411-%{name}_%version.tar.bz2
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	perl

%description
Root Actions servicemenu is a replacement/alternative for the default Edit-as-root servicemenu in kubuntu.
It should also work for other distributions, provided that sudo/kdesu is installed and that the user is authorized to use sudo/kdesu.
It allows a admin users to perform several root only actions from konqueror via kdesu (It of course asks for a password)

%package -n kde3-%{name}
Summary:        A feature rich root actions servicemenu for konqueror
Requires:	%{name} = %{version}-%{release}
Group:          Graphical desktop/KDE
Requires:       kdebase-progs

%package -n kde4-%{name}
Summary:        A feature rich root actions servicemenu for dolphin
Requires:       %{name} = %{version}-%{release}
Group:          Graphical desktop/KDE
Requires:       dolphin
%description -n kde3-%{name}
KDE3 desktop-files for %{name}

%description -n kde4-%{name}
KDE4 desktop-files for %{name}

%prep
%setup -n %{oname}_%{version}

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_datadir}/kde4/services/ServiceMenus
mkdir -p %{buildroot}/%{_kde3_datadir}/apps/konqueror/servicemenus
install -Dm 755 rootactions-servicemenu.pl %{buildroot}/%{_bindir}/
install -Dm 755 konqueror-KDE3/*desktop %{buildroot}/%{_kde3_datadir}/apps/konqueror/servicemenus/
install -Dm 755 dolphin-KDE4/*desktop %{buildroot}/%{_datadir}/kde4/services/ServiceMenus/

%clean
rm -rf %{buildroot}

%files
%{_bindir}/rootactions-servicemenu.pl

%files -n kde3-%{name}
%{_kde3_datadir}/apps/konqueror/servicemenus/*desktop

%files -n kde4-%{name}
%{_datadir}/kde4/services/ServiceMenus/*desktop

%changelog
* Wed Jan 28 2009 Oliver Burger <rpm@mandrivauser.de> 2.4.1-1mud2009.0
- new version 2.4.1

* Tue Jan 27 2009 Oliver Burger <rpm@mandrivauser.de> 2.3-2mud2009.0
- fixed KDE4 install pathes
- splitted in suppackages

* Sun Aug 10 2008 Oliver Burger <rpm@mandrivauser.de> 2.3-1mud2008.1
- initial package for Mandrivalinux
